Jump to content

Module:Message box/fmbox.css: Difference between revisions

From WikipediNyah
No edit summary
No edit summary
 
Line 1: Line 1:
/* {{pp|small=y}} */
/* {{pp|small=y}} */
.fmbox {
.fmbox {
clear: both;
clear: both; /* this sheet does not require overflow-x because of this clear */
margin: 0.2em 0;
margin: 0.2em 0;
width: 100%;
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
     background-color: var(--background-color-interactive-subtle, #f8f9fa);
     background-color: var(--background-color-interactive-subtle, #f8f9fa);
Line 20: Line 19:


.fmbox .mbox-text {
.fmbox .mbox-text {
border: none;
padding: 0.35em 1em;
/* @noflip */
flex: 1 1 100%;
padding: 0.25em 0.9em;
width: 100%;
}
}


.fmbox .mbox-image {
.fmbox .mbox-image,
border: none;
.fmbox .mbox-imageright {
/* @noflip */
padding: 4px 2px;
padding: 2px 0 2px 0.9em;
text-align: center;
text-align: center;
flex: none;
}
}


.fmbox .mbox-imageright {
/* keep synced with each other type of message box as this isn't qualified */
border: none;
.mbox-invalid-type {
/* @noflip */
padding: 2px 0.9em 2px 0;
text-align: center;
text-align: center;
}
}


.fmbox .mbox-invalid-type {
@media (min-width: 480px) {
text-align: center;
.fmbox {
display: flex;
align-items: center;
}
 
.fmbox .mbox-image {
/* @noflip */
padding-left: 1em;
}
.fmbox .mbox-imageright {
/* @noflip */
padding-right: 1em;
}
}
}


@media screen {
@media screen {
Line 51: Line 58:
}
}


 
@media screen and (prefers-color-scheme: dark) {
@media screen and ( prefers-color-scheme: dark) {
html.skin-theme-clientpref-os .fmbox-warning {
html.skin-theme-clientpref-os .fmbox-warning {
background-color: #300; /* Reddish, same hue/saturation as light */
background-color: #300; /* Reddish, same hue/saturation as light */
}
}
}
}

Latest revision as of 02:53, 2 July 2026

/* {{pp|small=y}} */
.fmbox {
	clear: both; /* this sheet does not require overflow-x because of this clear */
	margin: 0.2em 0;
	border: 1px solid #a2a9b1;
    background-color: var(--background-color-interactive-subtle, #f8f9fa);
    box-sizing: border-box;
    color: var(--color-base, #202122);
}

.fmbox-warning {
	border: 1px solid #bb7070;  /* Dark pink */
	background-color: #ffdbdb;  /* Pink */
}

.fmbox-editnotice {
	background-color: transparent;
}

.fmbox .mbox-text {
	padding: 0.35em 1em;
	flex: 1 1 100%;
}

.fmbox .mbox-image,
.fmbox .mbox-imageright {
	padding: 4px 2px;
	text-align: center;
	flex: none;
}

/* keep synced with each other type of message box as this isn't qualified */
.mbox-invalid-type {
	text-align: center;
}

@media (min-width: 480px) {
	.fmbox {
		display: flex;
		align-items: center;
	}

	.fmbox .mbox-image {
		/* @noflip */
		padding-left: 1em;
	}
	
	.fmbox .mbox-imageright {
		/* @noflip */
		padding-right: 1em;
	}
}

@media screen {
    html.skin-theme-clientpref-night .fmbox-warning {
		background-color: #300;    /* Reddish, same hue/saturation as light */
	}
}

@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .fmbox-warning {
		background-color: #300; /* Reddish, same hue/saturation as light */
	}
}